## org.eclipse.datatools.modelbase.dbdefinition.impl
Class PrivilegedElementDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.PrivilegedElementDefinitionImpl

All Implemented Interfaces:
  PrivilegedElementDefinition

public class PrivilegedElementDefinitionImpl
extends EObjectImpl
implements PrivilegedElementDefinition

An implementation of the model object 'Privileged Element Definition'.

The following features are implemented:

- `Privilege Definitions`
- `Name`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getName()`
`EList` `getPrivilegeDefinitions()`
`void` `setName(java.lang.String newName)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPrivilegeDefinitions

    public EList getPrivilegeDefinitions()

  Specified by:
    `getPrivilegeDefinitions` in interface `PrivilegedElementDefinition`
  Returns:
    the value of the 'Privilege Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getPrivilegedElementDefinition_PrivilegeDefinitions()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PrivilegedElementDefinition`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `PrivilegedElementDefinition.setName(String)`, `DatabaseDefinitionPackage.getPrivilegedElementDefinition_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `PrivilegedElementDefinition`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `PrivilegedElementDefinition.getName()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.